# PSF-LoginServer - master - net.psforever.objects.definition.ConstructionItemDefinition
PSF - LoginServer - master - net.psforever.objects.definition.ConstructionItemDefinition
Keywords: PSF LoginServer master net.psforever.objects.definition.ConstructionItemDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package definition
  Definition Classes
    objects
-  package converter
  Definition Classes
    definition
- AmmoBoxDefinition
- AvatarDefinition
- BaseDeployableDefinition
- BasicDefinition
- CargoDefinition
- ConstructionFireMode
- ConstructionItemDefinition
- DeployAnimation
- DeployableDefinition
- EquipmentDefinition
- ExoSuitDefinition
- ImplantDefinition
- KitDefinition
- ObjectDefinition
- ProjectileDefinition
- SimpleItemDefinition
- SpecialExoSuitDefinition
- ToolDefinition
- VehicleDefinition

c

net.psforever.objects.definition

# ConstructionItemDefinition 

###
Companion object ConstructionItemDefinition

#### class ConstructionItemDefinition extends EquipmentDefinition

Source
  ConstructionItemDefinition.scala

Linear Supertypes
EquipmentDefinition, ObjectDefinition, BasicDefinition, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ConstructionItemDefinition
2. EquipmentDefinition
3. ObjectDefinition
4. BasicDefinition
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ConstructionItemDefinition(objectId: Int)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Descriptor: String
   Definition Classes
     BasicDefinition
5.  def Descriptor_=(description: Option[String]): String
   Definition Classes
     BasicDefinition
6.  def Descriptor_=(description: String): String
   Definition Classes
     BasicDefinition
7.  def DisableAtMaxDepth: Boolean
   Definition Classes
     ObjectDefinition
8.  def DisableAtMaxDepth_=(drowns: Boolean): Boolean
   Definition Classes
     ObjectDefinition
9.  def DropOffset(offset: Float): Float
   Definition Classes
     EquipmentDefinition
10.  def DropOffset: Float
    Definition Classes
      EquipmentDefinition
11.  def DrownAtMaxDepth: Boolean
    Definition Classes
      ObjectDefinition
12.  def DrownAtMaxDepth_=(drowns: Boolean): Boolean
    Definition Classes
      ObjectDefinition
13.  def Geometry: (Any) => VolumetricGeometry
    Definition Classes
      ObjectDefinition
14.  def Geometry_=(func: (Any) => VolumetricGeometry): (Any) => VolumetricGeometry
    Definition Classes
      ObjectDefinition
15.  def MaxDepth: Float
    Definition Classes
      ObjectDefinition
16.  def MaxDepth_=(height: Float): Float
    Definition Classes
      ObjectDefinition
17.  def Modes: ListBuffer[ConstructionFireMode]
18.  def Name: String
    Definition Classes
      BasicDefinition
19.  def Name_=(name: String): String
    Definition Classes
      BasicDefinition
20.  def ObjectId: Int
    Definition Classes
      ObjectDefinition
21.  final def Packet: ObjectCreateConverter[PlanetSideGameObject]

    Get the conversion object.

    Get the conversion object.

    Definition Classes
      ObjectDefinition
22.  final def Packet_=(pkt: ObjectCreateConverter[_]): PacketConverter

    Assign this definition a conversion object.

    Assign this definition a conversion object.

    pkt

      the new converter

    returns

      the current converter, after assignment

    Definition Classes
      ObjectDefinition
23.  def ServerSplashTargetsCentroid: Boolean
    Definition Classes
      ObjectDefinition
24.  def ServerSplashTargetsCentroid_=(splash: Boolean): Boolean
    Definition Classes
      ObjectDefinition
25.  def Size: equipment.EquipmentSize.Value
    Definition Classes
      EquipmentDefinition
26.  def Size_=(newSize: equipment.EquipmentSize.Value): equipment.EquipmentSize.Value
    Definition Classes
      EquipmentDefinition
27.  def Tile: InventoryTile
    Definition Classes
      EquipmentDefinition
28.  def Tile_=(newTile: InventoryTile): InventoryTile
    Definition Classes
      EquipmentDefinition
29.  def UnderwaterLifespan(suffocation: Long, recovery: Long): Map[OxygenState, Long]
    Definition Classes
      ObjectDefinition
30.  def UnderwaterLifespan(key: OxygenState): Long
    Definition Classes
      ObjectDefinition
31.  def UnderwaterLifespan(): Map[OxygenState, Long]
    Definition Classes
      ObjectDefinition
32.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
33.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
34.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
35.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
36.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
37.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
38.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
39.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
40.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
41.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
42.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
43.  var packet: PacketConverter

    a data converter for this type of object

    a data converter for this type of object

    Attributes
      protected
    Definition Classes
      ObjectDefinition
44.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
45.  def toString(): String
    Definition Classes
      AnyRef → Any
46.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from EquipmentDefinition

### Inherited from ObjectDefinition

### Inherited from BasicDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped